Name: OpenIPMI
Summary: %{name} - Library interface to IPMI
Version: 1.3.13
Release: 1
License: LGPL
URL: http://openipmi.sourceforge.net
Group: Utilities
Vendor: OpenIPMI Project
Packager: Tariq Shureih <tariq.shureih@intel.com>
Source: %{name}-1.3.13.tar.gz
Buildroot: /var/tmp/%{name}-root
BuildRequires: pkgconfig
Summary: IPMI Library
Group: Utilities

%description 
This package contains a shared library implementation of IPMI and the
basic tools used with OpenIPMI.

%package devel
Summary: Development files for OpenIPMI
Group: Utilities
Requires: OpenIPMI = %{version}, pkgconfig

%description devel
Contains additional files need for a developer to create applications
and/or middleware that depends on libOpenIPMI

%package ui
Summary: User Interface (ui)
Group: Utilities
Requires: OpenIPMI = %{version}

%description ui
This package contains a user interface

%package lanserv
Summary: Emulates an IPMI network listener
Group: Utilities
Requires: OpenIPMI = %{version}

%description lanserv
This package contains a network IPMI listener.

###################################################
%prep
###################################################
%setup

###################################################
%build
###################################################
%configure
make

###################################################
%install
###################################################
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
ls -l %{buildroot}%{_infodir}
rm -f %{buildroot}%{_infodir}/dir

###################################################
%files
###################################################
%defattr(-,root,root)
%{_libdir}/libOpenIPMIposix.so*
%{_libdir}/libOpenIPMIposix.la
%{_libdir}/libOpenIPMIpthread.so*
%{_libdir}/libOpenIPMIpthread.la
%{_libdir}/libOpenIPMI.so*
%{_libdir}/libOpenIPMI.la
%{_libdir}/libOpenIPMIutils.so*
%{_libdir}/libOpenIPMIutils.la
%doc COPYING COPYING.LIB FAQ INSTALL README README.Force
%doc README.MotorolaMXP
%doc %{_mandir}/man1/ipmicmd.1*
%doc %{_mandir}/man8/ipmilan.8*

###################################################
%files devel
###################################################
%defattr(-,root,root)
%{_includedir}/OpenIPMI
%{_libdir}/*.a
%{_libdir}/pkgconfig
%doc %{_infodir}/OpenIPMI*

###################################################
%files ui
###################################################
%defattr(-,root,root)
%{_bindir}/ipmi_ui
%{_bindir}/ipmicmd
%{_libdir}/libOpenIPMIui.so*
%{_libdir}/libOpenIPMIui.la
%doc %{_mandir}/man1/ipmi_ui.1*

###################################################
%files lanserv
###################################################
%defattr(-,root,root)
%{_bindir}/ipmilan
%{_libdir}/libIPMIlanserv.so*
%{_libdir}/libIPMIlanserv.la

